package com.ffii.lioner.modules.user.service.res;

import java.util.List;

import com.ffii.lioner.modules.user.entity.User;

public class LoadUserRes {
  private User data;
  private Integer groupId;
  private List<Integer> authIds;
  private List<Integer> groupIds;

  public LoadUserRes() {
  }

  public LoadUserRes(User data, Integer groupId, List<Integer> authIds, List<Integer> groupIds) {
    this.data = data;
    this.groupId = groupId;
    this.authIds = authIds;
    this.groupIds = groupIds;
  }

  public User getData() {
    return data;
  }

  public void setData(User data) {
    this.data = data;
  }

  public List<Integer> getAuthIds() {
    return authIds;
  }

  public void setAuthIds(List<Integer> authIds) {
    this.authIds = authIds;
  }

  public List<Integer> getGroupIds() {
    return groupIds;
  }

  public void setGroupIds(List<Integer> groupIds) {
    this.groupIds = groupIds;
  }

  public Integer getGroupId() {
    return groupId;
  }

  public void setGroupId(Integer groupId) {
    this.groupId = groupId;
  }

}
